#8 Remove obsolete boost-python3-devel build dependencies (#2100748)
Merged 2 years ago by vokac. Opened 2 years ago by vokac.
https://src.fedoraproject.org/forks/jwakely/rpms/dmlite.git rawhide  into  rawhide

Remove obsolete boost-python3-devel build dependencies (#2100748)
Jonathan Wakely • 2 years ago  
dmlite.spec
file modified
+11 -10
@@ -49,8 +49,6 @@

  %global with_python2_libs 1

  %global with_python3_libs 1

  %global py_app_version 2

- %global boost_py2_version 2

- %global boost_py3_version 3

  %global xrootd_version 1:5.2.0

  %global xrootd_version_major 5

  
@@ -84,7 +82,6 @@

    %global py_app_version 2

    %global with_python2_libs 1

    %global with_python3_libs 1

-   %global boost_py3_version 36

  %endif

  

  %if %{?rhel}%{!?rhel:0} >= 8
@@ -108,7 +105,7 @@

  

  Name: dmlite

  Version: 1.15.2

- Release: 8%{?dist}%{?_with_asan:.asan}

+ Release: 9%{?dist}%{?_with_asan:.asan}

  Summary: Lcgdm grid data management and storage framework

  Group: Applications/Internet

  License: ASL 2.0
@@ -133,11 +130,7 @@

  Patch18: dmlite-fix-bdii-ldap3-ldif.patch

  Patch19: dmlite-improve-migration-dcache-config.patch

  

- %if %{?fedora}%{!?fedora:0} >= 17 || %{?rhel}%{!?rhel:0} >= 7

- BuildRequires: boost-devel >= 1.48.0

- %else

- BuildRequires: boost148-devel >= 1.48.0

- %endif

+ BuildRequires: boost-devel

  

  %if %{?with_python2_libs}%{!?with_python2_libs:0}

  BuildRequires: python2-rpm-macros
@@ -155,7 +148,12 @@

  

  %if %{?with_python3_libs}%{!?with_python3_libs:0}

  BuildRequires: python%{python3_pkgversion}-devel

- BuildRequires: boost-python%{boost_py3_version}-devel

+ %if %{?rhel}%{!?rhel:0} == 7

+ BuildRequires: boost-python36-devel

+ %endif

+ %if %{?rhel}%{!?rhel:0} == 8

+ BuildRequires: boost-python3-devel

+ %endif

  BuildRequires: python3-rpm-macros

  %endif

  
@@ -1096,6 +1094,9 @@

  

  

  %changelog

+ * Fri Jun 24 2022 Jonathan Wakely <jwakely@redhat.com> - 1.15.2-9

+ - Remove obsolete boost-python3-devel build dependencies (#2100748)

+ 

  * Sat Jun 18 2022 Python Maint <python-maint@redhat.com> - 1.15.2-8

  - Rebuilt for Python 3.11

  

no initial comment

Pull-Request has been merged by vokac

2 years ago
Metadata